Subject: RE: Comments on draft-ietf-ipr-technology-rights-01.txt

From: "Malin Gullstrand (EAB)" <[email-masked]>
Date: Wed, 26 Feb 2003 11:37:06 +0100

I agree to Joe's general comment 2. 
Earlier I suggested that the term "IPR protected technology" be used. 
 
In a previous thread "Responses to open questions from Yokohama...": Calhoun "Reb" Thomas, III replies that: 
"You might want to use "claimed" rather than "protected" since protected sounds like the "patent granted" situation 
and generally one cannot infringe a patented invention until a patent issues..."
 
There is a not so limited possibility of retroactive liability, and a filed application is certainly a protection, unpublished or not, 
e.g. against later filed applications according to the EPC - European Patent Convention. 
IPR includes everything from copyright to priority date of an unpublished patent application, hence my suggestion. 
IETF is not merely concerned with granted patents or established infringement which is what complicates matters. 
Champions for an over-explicit document might consider a change of notification criteria to these two clearly defined cases.
 
Regards, 
Malin Gullstrand (formerly patent examiner, EPC, PCT )
Malin Gullstrand, M. Sc. E. E. 
Licensing Manager
IPR & Licensing; Ericsson AB 
Phone: +46 8 719 94 85 
Mobile: +46 70 593 5921

-----Original Message-----
From: Joe Zebarth [mailto:[email-masked]]
Sent: den 25 februari 2003 23:05
To: [email-masked]
Subject: Comments on draft-ietf-ipr-technology-rights-01.txt

Comments on draft-ietf-ipr-technology-rights-01.txt 

The following comments are offered for your consideration with respect to the aforementioned document. 

General Comments 

1       This document was intended to clarify section 10 of BCP 9, RFC 2026 and as a result, it should not change the IPR policy of 2026.  As a result all statements in the document which contradict the IPR policy of 2026 should be stricken from this document.

2       The document seems to confuse the subject of IPR disclosure, IPR claims, and IPR claimed rights. 

3       The document does not clarify the merit of having blanket statements of willingness to license essential IPR under fair and non-discriminatory terms which are complemented by subsequent IPR disclosures.

4       It would appear that an attempt is being made to place unnecessary obligations on all IETF participants.  Text which attempts to place such burdens on IETF participants should be stricken from this document. 

5       While it is suggested that the intent of this work is to clarify "ambiguities", identification of "ambiguous text" in RFC 2026 has not been clearly identified or pointed to.

6       While it is stated that "in some cases IPR claims can be disingenuous and made to affect the standards process", the current text appears to aggravate this occurrence, if any.  

Specific Comments 

1       Abstract Page 1, last two sentences 

The 2nd last sentence states " This memo details the IETF policies concerning IPR related to technology worked on within the IETF." while the last sentence of the 2nd last paragraph on Page 2 states "The aim of this document is to clarify various ambiguities in Section 10 of [RFC 2026] that led to these debates and to amplify the policy in order to clarify what the IETF is, or should be, doing.".

This text should be aligned and the exact relationship to RFC 2026 should be stated.  For example is 2026 still the definitive text and this is only amplification, i.e. expanded description but not scope?  If this is the case, then all of the RFC 2026 text should be removed from this document.  

2       It is suggested that the text in the Introduction be reordered to improve readability and remove inconsistencies.  For example the first sentence of Section 1 indicates that working groups have to deal with claims while the second sentence indicates that these claims may only surface after the working group is disbanded?

The suggested reordering and minor rewording is as follows (Note that added text is not italicized.) 

"In the years since RFC 2026 was published there have been a number of times when the exact intent of Section 10, the section which deals with IPR disclosures or claimed rights, has been the subject of vigorous debate within the IETF community.  This is because it is becoming increasingly common for IETF working groups to have to deal with claims of intellectual property rights (IPR), such as patent rights, with regards to technology under discussion in the working group.  The aim of this ID is to clarify various ambiguities in Section 10 of [RFC 2026] that led to these debates and to amplify the policy in order to clarify what the IETF is, or should be, doing.

IPR claims can: come at any point in the IETF process e.g. before the first Internet Draft has been submitted, prior to RFC publication, or after an RFC has been published and the working group has been closed down; come from people submitting technical proposals as Internet Drafts, on mailing lists or at meetings, from other people participating in the working group or from 3rd parties who find out that the work is going or has gone on; be based on granted patents or on patent applications, and in some cases be disingenuous, i.e. made to affect the standards process rather than to inform.

3       Page 2, 2nd last line 

It is proposed that the word "substantially" be removed.  It has been stated earlier that issuance of this document is to "amplify" the policy of RFC 2026.  Now, "amplify" is an ambiguous word.  It can mean "make bigger or extend" or it can mean "to expand stating or describing as by details".  It is my understanding that it is the latter, and as a result, the word substantially should be removed.

4       Page 3, Section 2.2.1 Para 1, 3rd last line 

The words "and any known owner of any intellectual property rights in the contribution." should be stricken as a party normally cannot make this representation.  This is placing an unnecessary and unacceptable obligation on the person making the submission.

5       Page 4, Section 2.2.1 item B. 

The IETF is attempting to place an obligation on a participant that the participant has no authority to assume.  This text should be stricken.

6       Page 4, Section 3, Item c, 

        The text that reads as "all persons will be able to obtain the right to implement, use, distribute and exercise other rights with respect to an Implementing Technology under openly specified, reasonable, non-discriminatory terms unless such a statement has already been submitted." goes beyond the ability to practice the standard.  The text should limit itself to obtaining the right to practice the standard.

7       Page 4, Section 3.1 Line 1 

        The word "implicit" should be added so that the text reads as "The IESG will not make any implicit or explicit determination..." 

8       Page 5, Section 4, Item A), Para 2, line 1 

        The text "Copies of claims" should read as "Copies of IPR statements" 

9       Page 6, Definitions 5.1 and 5.2 

It would seem to make sense that these definitions appear here as they are not substantial, from a text/space point of view.  Besides, in the RFC SUB contribution the definition is explicitly defined as being only in the context of RFC SUB, and thus would by implication means that the definition does not apply to this ID.

10      Page 6, Section 6.1.1, Para 1 

        This paragraph should indicate that the disclosure should be made to the IESG secretary. 

11      Page 6, Section 6.1.1, Para 3, last line on the page 

        This text should be made more explicit to limit it to essential IPR. 

12      Page 7, Section 6.1.2, Para 1 

As a fundamental rule participants should not be made to be responsible for others actions or inaction or insisting that they make a patent analysis on others IPR.  This text attempts to unnecessarily place this burden of responsibility on participants.  Note that the IETF and IESG will not obligate themselves to assume such a responsibility.

13      Page 7, Section 6.1.3, 1st line 

I believe it is section 4(B) that should be referenced. 

14      Page 7, Section 6.2, Para 1 

The focus of the IETF should be the development of specifications.  The current text appears to provide a bias against member innovation and protection.  

15      Page 7, Section 6.2.1, Para 1 

        Should use "IPR disclosure" consistently with RFC 2026 language in this paragraph instead of IPR claims (global change required).  Use of the words "encouraged" which appear in Section 4 (B) and in RFC 2026 should be used consistently within this document; the wording in Section 6.2 contradicts.   

Should include or reiterate the statement that indicates that it is based on awareness and that there is no obligation for portfolio searches.

16      Page 7, Section 6.2.3 Para 1, line 3 

        The words "relevant patent" should be modified to read as "essential patent" (Global change required) 

17      Page 8, Section 6.3, Para 1, 

        In the first sentence "IPR claims" should be modified to read as "IPR disclosures" to be consistent with RFC 2026. (Global change required) 

The second sentence should be deleted. 

18      Page 8, Section 6.4, Para 1, 2nd last line 

Probably the words "and what sections of any documents are affected" should be deleted.  While the spirit of the intent may be correct, having such words would require a new disclosure after any of the referenced documents are revised with a section number change.  Failure for replacement disclosures that keep current alignment would soon be disclosing IPR on sections for which no real IPR claim was being made!  Additionally, such a requirement is too onerous.

19      Page 8, Section 6.4, Para 1, last line 

In response to the questions, "Should we put up a disclosure template?", the response is "No". 

20      Page 8, Section 6.4, Para 2 

As written, this note fails to recognize the value of blanket statements which can provide value.  It should then go on to indicate that supplementation is appropriate.

21      Page 8, Section 6.5 Para 2 

The text of this paragraph and the examples should be stricken because it is not appropriate in that the purpose of this document was to clarify RFC 2026. 

22      Page 9, Section 6.6, Para 1 

Replace the first paragraph with the following sentence "Disclosures are triggered when there exists, or may exist, essential IPR to the practice of an IETF standard." which is consistent with RFC 2026.

24      Page 9, Section 7, Para 1, Sentence 2 

        These words are too subjective to be meaningful.  In particular the words "would be reasonably be expected to know" should as a minimum be stricken, in that they are contradictory to RFC 2026.

25      Page 9, Section 8 

        Early disclosure is requested and it does not represent a threshold of failure.  The text should be modified to become less adversarial.

26      Page 10, Para 1 

        This text promotes disclosure of relevant IPR.  What is relevant is highly subjective and better text should be found.  Further, the requirement to disclose relevant IPR without proper guidance will tend to support and promote the submission of disingenuous IPR claims.  As stated earlier, the language should refer to "essential IPR" with a view towards practice in IETF standards.

Dept. 6L40 
ATI Strategic Standards 
Nortel Networks (Canada) 
Phone: +1 613 765 8481 
ESN:    6+395 8481 
Fax:     +1 613 763 2697 
ESN:    6+393 2697 
http://www.nortelnetworks.com <http://www.nortelnetworks.com>

---

From: Scott W Brim <[email-masked]>
Date: Wed, 26 Feb 2003 09:34:43 -0500

On Wed, Feb 26, 2003 11:37:06AM +0100, Malin Gullstrand (EAB) allegedly
wrote:
> There is a not so limited possibility of retroactive liability, and a
> filed application is certainly a protection, unpublished or not, e.g.
> against later filed applications according to the EPC - European
> Patent Convention.  IPR includes everything from copyright to priority
> date of an unpublished patent application, hence my suggestion.  IETF
> is not merely concerned with granted patents or established
> infringement which is what complicates matters.  Champions for an
> over-explicit document might consider a change of notification
> criteria to these two clearly defined cases.

Regarding "claimed" versus "protected": 

Yes, I used "protected" myself for a while in the WG Guidelines draft
but I changed it all to "claimed" in the new version.  

First I believe protection is not the issue the IETF cares about.
Second (if that is not enough) in my opinion no intellectual property
claim can be said to actually be "protected".

First: the IETF very carefully makes no judgment about whether an
assertion of intellectual property rights (whether patent, copyright, or
anything) is valid or not.  All we care about is that there is such an
assertion -- such a claim.  Therefore our policies and procedures should
address just claims.  Claims are statements that rights exist.  They may
be true or false, there may be "protection" or not, and we don't care or
need to care.

Second: intellectual property is "protected" in the sense that rights
are granted, but we have seen that those rights can be challenged at any
time, and the holder of those rights must defend them.  No one helps you
-- no one protects you.  I don't know what "protected" might mean in
some legal systems, but I do know what "claim" means.

For a while I tried "assertion" but "claim" worked better for aesthetic
reasons.

..Scott
_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg